- Home
- API Enriched
- Virtual
- data
- Search load balancers All Namespaces.
Search load balancers All Namespaces.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data/namespaces/system/app_security/all_ns_search/loadbalancers';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"label_filter":[{"label":"REQUEST_ID","op":"IN","value":["example"]}],"namespace":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data/namespaces/system/app_security/all_ns_search/loadbalancers \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "label_filter": [ { "label": "REQUEST_ID", "op": "IN", "value": [ "example" ] } ], "namespace": "example" }'GET list of virtual hosts matching label filter.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”GET a list of virtual hosts in all the namespaces matching filter provided in the request. The filter can be a) Request ID b) Source IP.
object
List of label filter expressions of the form “label” Op “value”.
Response will only contain data that matches all the conditions specified in the label_filter.
One or more of the following labels can be specified in the label_filter.
REQUEST_ID, `SOURCE_IP“.
Metric label filter can be specified to query specific metrics based on label match.
object
Value to be compared with.
Namespace of the App type for current request.
Responses
Section titled “Responses”A successful response.
List of virtual hosts in all the namespaces matching filter provided in the request.
object
HTTP load balancer list for which the SearchFilter is applied.
List of virtual hosts in all the namespaces matching filter provided in the request.
object
HTTP load balancer name.
Namespace of the virtual host.
object
The number of requests matching the filter for virtual host in the given namespace.
Maximum time at which request ID was found.
Minimum time at which the request ID was found.
object
The number of security events for virtual host in the given namespace.
Maximum start time at which security event was found.
Minimum time at which the secuirty event was found.
Examplegenerated
{ "loadbalancers": [ { "name": "example", "namespace": "example", "request_data": { "count": "example", "max_time": "2026-04-15T12:00:00Z", "min_time": "2026-04-15T12:00:00Z" }, "security_events_data": { "count": "example", "max_time": "2026-04-15T12:00:00Z", "min_time": "2026-04-15T12:00:00Z" } } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example